## imgp 2.4+git20170724

=== Makefile ===
PREFIX ?= /usr/local
BINDIR ?= $(DESTDIR)$(PREFIX)/bin
MANDIR ?= $(DESTDIR)$(PREFIX)/share/man/man1
DOCDIR ?= $(DESTDIR)$(PREFIX)/share/doc/imgp

.PHONY: all install uninstall

all:

install:
	install -m755 -d $(BINDIR)
	install -m755 -d $(MANDIR)
	install -m755 -d $(DOCDIR)
	gzip -c imgp.1 > imgp.1.gz
	install -m755 imgp $(BINDIR)
	install -m644 imgp.1.gz $(MANDIR)
	install -m644 README.md $(DOCDIR)
	rm -f imgp.1.gz

uninstall:
	rm -f $(BINDIR)/imgp
	rm -f $(MANDIR)/imgp.1.gz
	rm -rf $(DOCDIR)

## imgp 2.2

=== debian/changelog ===
imgp (2.2-1) unstable; urgency=medium

  * Initial release (Closes: #840486)

 -- SZ Lin (林上智) <szlin@cs.nctu.edu.tw>  Wed, 12 Oct 2016 11:23:34 +0800

=== debian/control ===
Source: imgp
Section: misc
Priority: optional
Maintainer: SZ Lin (林上智) <szlin@cs.nctu.edu.tw>
Build-Depends: debhelper (>=9), 
               python3 (>= 3.5)
X-Python3-Version: >= 3.5
Standards-Version: 3.9.8
Homepage: https://github.com/jarun/imgp
Vcs-Git: https://anonscm.debian.org/git/collab-maint/imgp.git
Vcs-Browser: https://anonscm.debian.org/git/collab-maint/imgp.git

Package: imgp
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, python3 (>= 3.5), python3-pil
Description: Superfast batch image resizer and rotator
 Feature
 .
  - Resize by percentage or resolution
  - Rotate clockwise by specified angle
  - Adaptive resize considering orientation
  - Brute force to a resolution
  - Optimize images to save more space
  - Convert PNG to JPEG
  - Erase exif metadata
  - Force smaller to larger resize
  - Process directories recursively
  - Overwrite source image option
  - Completion scripts for bash, fish, zsh
  - Minimal dependencies
 .

## imgp 2.4+git20170724

=== debian/changelog ===
imgp (2.4+git20170724-1) unstable; urgency=medium

  * Import new upstream release
  * Since upstream releases the same version, the date version is added

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 25 Jul 2017 12:01:44 +0800

imgp (2.4-1) unstable; urgency=medium

  * Import new upstream release
  * Bump compat version to 10
  * Bump Standards-Version to 4.0.0
  * Bump debhelper version to 10

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 24 Jul 2017 13:09:07 +0800

imgp (2.3-1) unstable; urgency=medium

  * Import new upstream release

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 17 Apr 2017 12:59:33 +0800

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: imgp
 Section: misc
 Priority: optional
-Maintainer: SZ Lin (林上智) <szlin@cs.nctu.edu.tw>
-Build-Depends: debhelper (>=9), 
+Maintainer: SZ Lin (林上智) <szlin@debian.org>
+Build-Depends: debhelper (>= 10),
                python3 (>= 3.5)
 X-Python3-Version: >= 3.5
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: https://github.com/jarun/imgp
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/imgp.git
 Vcs-Browser: https://anonscm.debian.org/git/collab-maint/imgp.git

## imgp 2.5

=== Makefile ===
--- 
+++ 
@@ -21,3 +21,5 @@
 	rm -f $(BINDIR)/imgp
 	rm -f $(MANDIR)/imgp.1.gz
 	rm -rf $(DOCDIR)
+
+test: ;

=== debian/changelog ===
imgp (2.5-2) unstable; urgency=medium

  * d/cntrol: add missing build dependency: dh-python (Closes:#896729)
              bump Standards-Version to 4.1.4

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 24 Apr 2018 15:11:22 +0800

imgp (2.5-1) unstable; urgency=medium

  * Import new upstream release
  * d/control: bump Standards-Version to 4.1.3
  *            bump debhelper version to 11
  * d/compat: bump compat version to 11
  * d/copyright: add secure copyright format uri
  * Move VCS to salsa
  * Use upstream manpage directly

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 20 Feb 2018 12:28:23 +0800

imgp (2.4.1-1) unstable; urgency=medium

  * Import new upstream release
  * Bump Standards-Version to 4.1.0

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 30 Aug 2017 14:21:40 +0800

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,14 @@
 Section: misc
 Priority: optional
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper (>= 10),
-               python3 (>= 3.5)
+Build-Depends: debhelper (>= 11),
+               python3 (>= 3.5),
+               dh-python
 X-Python3-Version: >= 3.5
-Standards-Version: 4.0.0
+Standards-Version: 4.1.4
 Homepage: https://github.com/jarun/imgp
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/imgp.git
-Vcs-Browser: https://anonscm.debian.org/git/collab-maint/imgp.git
+Vcs-Git: https://salsa.debian.org/debian/imgp.git
+Vcs-Browser: https://salsa.debian.org/debian/imgp
 
 Package: imgp
 Architecture: all

## imgp 2.6

=== debian/changelog ===
imgp (2.6-1) unstable; urgency=medium

  * Import new upstream release
  * Add upstream metadata
  * d/control:
    - Bump Standards-Version to 4.2.1
  * d/install:
    - Add auto-completion for bash

 -- SZ Lin (林上智) <szlin@debian.org>  Mon, 22 Oct 2018 13:36:05 +0800

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,7 @@
 Build-Depends: debhelper (>= 11),
                python3 (>= 3.5),
                dh-python
-X-Python3-Version: >= 3.5
-Standards-Version: 4.1.4
+Standards-Version: 4.2.1
 Homepage: https://github.com/jarun/imgp
 Vcs-Git: https://salsa.debian.org/debian/imgp.git
 Vcs-Browser: https://salsa.debian.org/debian/imgp

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python3

override_dh_usrlocal:

=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%<project>-$1.tar.gz%" \
   https://github.com/jarun/imgp/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## imgp 2.7

=== Makefile ===
--- 
+++ 
@@ -22,4 +22,5 @@
 	rm -f $(MANDIR)/imgp.1.gz
 	rm -rf $(DOCDIR)
 
-test: ;
+test:
+	./imgp --help

=== debian/changelog ===
imgp (2.7-1) unstable; urgency=medium

  * Import new upstream release
  * Converting git-dpm to gbp pq
  * d/control:
    - Bump Standards-Version to 4.4.1
    - Rules-Requires-Root: no
    - Use debhelper-compat (= 12) in build-dependency to replace d/compat
    - Add python3-setuptools into B-D
  * d/patches:
    - Add "Remove unnecessary copyfile function to avoid upstream changes" patch
    - Refresh "Remove-unnecessary-makefile.patch" patch
  * d/rules:
    - Enable pybuild to buildsystem
    - Add override_dh_missing target (--fail-missing)
  * d/tests:
    - Add autopkgtest test case
  * d/watch:
    - Fix malformed filenamemangle

 -- SZ Lin (林上智) <szlin@debian.org>  Wed, 25 Dec 2019 11:24:41 +0800

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,12 @@
 Section: misc
 Priority: optional
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
                python3 (>= 3.5),
+               python3-setuptools,
                dh-python
-Standards-Version: 4.2.1
+Standards-Version: 4.4.1
+Rules-Requires-Root: no
 Homepage: https://github.com/jarun/imgp
 Vcs-Git: https://salsa.debian.org/debian/imgp.git
 Vcs-Browser: https://salsa.debian.org/debian/imgp

## imgp 2.8

=== debian/changelog ===
imgp (2.8-1) unstable; urgency=medium

  * Import new upstream release
  * d/control:
    - Bump Standards-Version to 4.5.1

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 01 Dec 2020 13:25:26 +0800

imgp (2.7-2) unstable; urgency=medium

  * d/control:
    - Bump debhelper-compat to 13
    - Bump Standards-Version to 4.5.0
  * d/tests/test:
    - Mark as superficial (Closes: #971477)

 -- SZ Lin (林上智) <szlin@debian.org>  Thu, 29 Oct 2020 11:16:49 +0800

=== debian/control ===
--- 
+++ 
@@ -2,11 +2,11 @@
 Section: misc
 Priority: optional
 Maintainer: SZ Lin (林上智) <szlin@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                python3 (>= 3.5),
                python3-setuptools,
                dh-python
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Rules-Requires-Root: no
 Homepage: https://github.com/jarun/imgp
 Vcs-Git: https://salsa.debian.org/debian/imgp.git

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_usrlocal:

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/imgp-$1\.tar\.gz/ \
   https://github.com/jarun/imgp/releases \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate

## imgp 2.8+git20230219.3d60e58

=== debian/changelog ===
imgp (2.8+git20230219.3d60e58-1) unstable; urgency=medium

  * Fix imgp autopkg tests fail with pillow 10.0.0 (Closes: #1040631)
  * d/control:
    - Bump Standards-Version to 4.6.1.0
  * d/copyright:
    - Update copyright year
  * d/patch:
    - Tweak the context

 -- SZ Lin (林上智) <szlin@debian.org>  Sun, 16 Jul 2023 18:10:42 +0800

imgp (2.8-2) unstable; urgency=medium

  * Fix d/watch issue
  * d/control:
    - Bump Standards-Version to 4.6.1.0
  * d/copyright:
    - Update copyright year

 -- SZ Lin (林上智) <szlin@debian.org>  Tue, 20 Dec 2022 10:39:53 +0800

## imgp 2.9

=== debian/changelog ===
imgp (2.9-1) unstable; urgency=medium

  * Import new upstream release

 -- SZ Lin (林上智) <szlin@debian.org>  Sun, 10 Sep 2023 20:08:15 +0800

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                python3 (>= 3.5),
                python3-setuptools,
                dh-python
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://github.com/jarun/imgp
 Vcs-Git: https://salsa.debian.org/debian/imgp.git

=== debian/tests/control ===
Tests: test
Depends: @
Restrictions: allow-stderr, superficial

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/imgp-$1\.tar\.gz/ \
   https://github.com/jarun/imgp/tags \
   (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
